# $Revision: 1.18 $, $Date: 2008/11/05 23:29:47 $
Summary:	xkbui library
Summary(pl.UTF-8):	Biblioteka xkbui
Name:		xorg-lib-libxkbui
Version:	1.0.2
Release:	5
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libxkbui-%{version}.tar.bz2
# Source0-md5:	1143e456f7429e18e88f2eadb2f2b6b1
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-util-util-macros
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xkbui library.

%description -l pl.UTF-8
Biblioteka xkbui.

%package devel
Summary:	Header files for libxkbui library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxkbui
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXt-devel
Requires:	xorg-lib-libxkbfile-devel

%description devel
xkbui library.

This package contains the header files needed to develop programs that
use libxkbui.

%description devel -l pl.UTF-8
Biblioteka xkbui.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libxkbui.

%package static
Summary:	Static libxkbui library
Summary(pl.UTF-8):	Biblioteka statyczna libxkbui
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
xkbui library.

This package contains the static libxkbui library.

%description static -l pl.UTF-8
Biblioteka xkbui.

Pakiet zawiera statyczną bibliotekę libxkbui.

%prep
%setup -q -n libxkbui-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libxkbui.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxkbui.so
%{_libdir}/libxkbui.la
%{_includedir}/X11/extensions/*.h
%{_pkgconfigdir}/xkbui.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxkbui.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libxkbui.spec,v $
Revision 1.18  2008/11/05 23:29:47  arekm
- release 5

Revision 1.17  2008/07/27 23:04:29  arekm
- release 4

Revision 1.16  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.14  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.13  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.12  2006/04/27 07:01:13  arekm
- up to 1.0.2

Revision 1.11  2006/03/09 21:12:57  qboosh
- release 1

Revision 1.10  2005/12/28 15:29:31  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.9  2005/12/20 15:39:30  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.8  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.7  2005/12/04 12:42:00  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.6  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.5  2005/10/20 21:18:36  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.4  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 13:03:19  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- added summaries and descriptions
- defined %%{_prefix}
- added %%doc
- removed redundant BR: libX11-devel
- removed redundant R: libX11-devel from devel package
- release 0.02

* Fri Aug  5 2005 22:12:32  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
